
Installer - Bug #32553

remove md5 from allowed content types for pulpcore

05/06/2021 02:14 PM - Justin Sherrill

Status: Closed   

Priority: Normal   

Assignee: Justin Sherrill   

Category: Foreman modules   

Target version: 2.5.1   

Difficulty:  Fixed in Releases: 2.5.1, 3.0.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman_proxy_content/pull/356

  

Description

Related issues:

Related to Installer - Bug #32552: run pulpcore db migration before collectst... Rejected

Associated revisions

Revision fb401944 - 06/07/2021 03:46 PM - Justin Sherrill

Fixes #32553 - Remove md5 from allowed content types

Previously we had added md5 to maintain md5 across upgrades

such that the upgrade would pass, but it turns out pulpcore 3.11

includes a migration which would handle this for us, if we were

running the db migration before collectstatic

History

#1 - 05/06/2021 02:14 PM - Justin Sherrill

- Related to Bug #32552: run pulpcore db migration before collectstatic added

#2 - 05/06/2021 02:18 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Justin Sherrill

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/356 added

#3 - 06/07/2021 03:46 PM - The Foreman Bot

- Fixed in Releases 3.0.0 added

#4 - 06/07/2021 03:47 PM - Ewoud Kohl van Wijngaarden

- Category set to Foreman modules

- Target version set to 2.5.1

- Triaged changed from No to Yes

#5 - 06/07/2021 04:02 PM - Justin Sherrill

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy_content|fb401944723c5b93941aa98d16f377bded5627c0.

#6 - 06/21/2021 01:15 PM - Ewoud Kohl van Wijngaarden

- Fixed in Releases 2.5.1 added
